Package org.eclipse.mat.parser.internal.oql.compiler

# Class EvaluationContext

java.lang.Object
org.eclipse.mat.parser.internal.oql.compiler.EvaluationContext

public class EvaluationContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`EvaluationContext(EvaluationContext parent)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAlias(String name)`
`IProgressListener`
`getProgressListener()`
`ISnapshot`
`getSnapshot()`
`Object`
`getSubject()`
`boolean`
`isAlias(String value)`
`void`
`setAlias(String alias)`
`void`
`setProgressListener(IProgressListener listener)`
`void`
`setSnapshot(ISnapshot snapshot)`
`void`
`setSubject(Object subject)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EvaluationContext

public EvaluationContext(EvaluationContext parent)

## Method Details

### getSnapshot

public ISnapshot getSnapshot()

### setSnapshot

public void setSnapshot(ISnapshot snapshot)

### getProgressListener

public IProgressListener getProgressListener()

### setProgressListener

public void setProgressListener(IProgressListener listener)

### getSubject

public Object getSubject()

### setSubject

public void setSubject(Object subject)

### getAlias

public Object getAlias(String name)

### setAlias

public void setAlias(String alias)

### isAlias

public boolean isAlias(String value)

### toString

public String toString()

Overrides:
  `toString` in class `Object`